Summary:       A simple, lightweight interface to Amazon Web Services
Name:          python-boto
Version:       2.49.0
Release:       4%{?dist}
License:       MIT
URL:           https://github.com/boto/boto
Source0:       https://pypi.io/packages/source/b/boto/boto-%{version}.tar.gz
Source1:       boto-mit-license.txt

Patch3001:     boto-2.39.0-devendor.patch
Patch3002:     boto-2.40.0-nat-gateway.patch
Patch3003:     boto-2.40.0-retry-float.patch
Patch3004:     boto-2.40.0-aws-exec-read.patch
Patch3005:     boto-2.40.0-instance-attributes.patch
Patch3006:     boto-2.40.0-multi-vpc-zone.patch
Patch3007:     boto-2.40.0-s3-requestlog.patch
Patch3008:     boto-2.40.0-route53-no-resourcepath.patch
Patch3009:     boto-2.45.0-modifysubnetattribute.patch

BuildRequires: python3-devel python3-setuptools
BuildRequires: python3-six python3-httpretty python3-mock python3-nose python3-requests

BuildArch:      noarch

%description
Boto is a Python package that provides interfaces to Amazon Web Services.  It supports over thirty
services, such as S3 (Simple Storage Service), SQS (Simple Queue Service), and EC2 (Elastic Compute
Cloud) via their REST and Query APIs.  The goal of boto is to support the full breadth and depth of
Amazon Web Services.  In addition, boto provides support for other public services such as Google
Storage in addition to private cloud systems like Eucalyptus, OpenStack and Open Nebula.

%package -n python3-boto
Summary:        A simple, lightweight interface to Amazon Web Services
Requires:       python3-requests python3-six python3-rsa

%description -n python3-boto
Boto is a Python package that provides interfaces to Amazon Web Services.  It supports over thirty
services, such as S3 (Simple Storage Service), SQS (Simple Queue Service), and EC2 (Elastic Compute
Cloud) via their REST and Query APIs.  The goal of boto is to support the full breadth and depth of
Amazon Web Services.  In addition, boto provides support for other public services such as Google
Storage in addition to private cloud systems like Eucalyptus, OpenStack and Open Nebula.

%prep
%autosetup -p1 -n boto-%{version}

cp -p %{SOURCE1} .

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
rm -f %{buildroot}/%{_bindir}/*

%files -n python3-boto
%license boto-mit-license.txt
%{python3_sitelib}/boto*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.49.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.49.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.49.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 2.49.0-1
- initial build
